import postcss, { Node, AcceptedPlugin } from 'postcss';
import { I as IProcessOptions } from './shared/css-to-tailwindcss-plugin.d74564dc.js';
import 'sass';
import 'tailwindcss';
import 'postcss-import';
import '@babel/generator';

type NodeMapKeys = 'base' | 'components' | 'utilities';
declare function createContext(opts?: IProcessOptions): {
    layersMap: Map<NodeMapKeys, Node[]>;
    append: (key: NodeMapKeys, nodes: Node | Node[]) => void;
    getNodes: (key: NodeMapKeys) => Node[];
    getPluginsSync(): AcceptedPlugin[];
    getPlugins(): Promise<AcceptedPlugin[]>;
    process(entry: string): Promise<postcss.Result<postcss.Root>>;
    processSync(entry: string): postcss.Result<postcss.Document | postcss.Root>;
    generate: () => string;
};
type IContext = ReturnType<typeof createContext>;

export { type IContext, type NodeMapKeys, createContext };
