import { Options } from 'sass';
import { Config } from 'tailwindcss';
import { AtImportOptions } from 'postcss-import';
import { GeneratorOptions } from '@babel/generator';

interface IProcessOptions {
    tailwindcssConfig?: string | Config | {
        config: string | Config;
    } | undefined;
    sassOptions?: Options<'sync'>;
    atImportOptions?: AtImportOptions;
    generatorOptions?: GeneratorOptions;
}
type TailwindcssPluginOptions = {
    entries: string[];
    cacheDir?: string;
} & IProcessOptions;

export type { IProcessOptions as I, TailwindcssPluginOptions as T };
